Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.SensorMultilevel (grizzly v7.4.2)

"SensorMultilevel" Command Class

The Multilevel Sensor Command Class is used to advertise numerical sensor readings.

# Summary

## Functions

decode_sensor_type(byte)
decode_sensor_types(binary)
encode_sensor_type(atom)
encode_sensor_types(sensor_types)

# Functions

Link to this function

# decode_sensor_type(byte)

View Source
Link to this function

# decode_sensor_types(binary)

View Source

    @spec decode_sensor_types(binary()) ::
      {:ok, [{:sensor_types, [atom()]}]} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_sensor_type(atom)

View Source
Link to this function

# encode_sensor_types(sensor_types)

View Source

    @spec encode_sensor_types([atom()]) :: binary()